# Uses of Class
org.eclipse.jface.viewers.Viewer

Packages that use Viewer
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.compare.contentmergeviewer
Support for compare and merge viewers which show the content side-by-side.
org.eclipse.compare.structuremergeviewer
Provides support for finding and displaying the differences between hierarchically structured data.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.jface.databinding.viewers
Provides classes that can be used to observe the JFace Viewer framework.
org.eclipse.jface.preference
Provides a framework for preferences.
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.jface.text.source.projection
This package provides the UI part for projection documents of which the most important part is the projection viewer.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.jface.viewers.deferred
Provides a framework for viewers that handle deferred contents.
org.eclipse.ltk.ui.refactoring.history
Application programming interface to display and preview refactoring history information.
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.model
Provides a workbench adapter for displaying workbench elements in the UI without having to know the concrete type of the element, and various label providers for workbench-specific objects like editors, views, and perspectives.
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.views.navigator
Provides the standard Resource Navigator view which presents the tree of resources in the workspace.

## Uses of Viewer in org.eclipse.compare

Methods in org.eclipse.compare that return Viewer
Modifier and Type
Method
Description
`Viewer`
CompareEditorInput.`createDiffViewer(Composite parent)`
Factory method for creating a differences viewer for the top left pane.
`Viewer`
IViewerCreator.`createViewer(Composite parent, CompareConfiguration config)`
Creates a new viewer under the given SWT parent control.
`Viewer`
CompareEditorInput.`findContentViewer(Viewer oldViewer, ICompareInput input, Composite parent)`
Implements the dynamic viewer switching for content viewers.
`static Viewer`
CompareUI.`findContentViewer(Viewer oldViewer, Object input, Composite parent, CompareConfiguration configuration)`
Returns a content compare viewer based on an old viewer and an input object.
`static Viewer`
CompareUI.`findContentViewer(Viewer oldViewer, ICompareInput input, Composite parent, CompareConfiguration configuration)`
Returns a content compare viewer based on an old viewer and an input object.
`Viewer`
CompareEditorInput.`findStructureViewer(Viewer oldViewer, ICompareInput input, Composite parent)`
Implements the dynamic viewer switching for structure viewers.
`static Viewer`
CompareUI.`findStructureViewer(Viewer oldViewer, ICompareInput input, Composite parent, CompareConfiguration configuration)`
Returns a structure compare viewer based on an old viewer and an input object.
`Viewer`
CompareViewerSwitchingPane.`getViewer()`
Returns the current viewer.
`protected abstract Viewer`
CompareViewerSwitchingPane.`getViewer(Viewer oldViewer, Object input)`
Returns a viewer which is able to display the given input.
Methods in org.eclipse.compare with parameters of type Viewer
Modifier and Type
Method
Description
`Viewer`
CompareEditorInput.`findContentViewer(Viewer oldViewer, ICompareInput input, Composite parent)`
Implements the dynamic viewer switching for content viewers.
`static Viewer`
CompareUI.`findContentViewer(Viewer oldViewer, Object input, Composite parent, CompareConfiguration configuration)`
Returns a content compare viewer based on an old viewer and an input object.
`static Viewer`
CompareUI.`findContentViewer(Viewer oldViewer, ICompareInput input, Composite parent, CompareConfiguration configuration)`
Returns a content compare viewer based on an old viewer and an input object.
`Viewer`
CompareEditorInput.`findStructureViewer(Viewer oldViewer, ICompareInput input, Composite parent)`
Implements the dynamic viewer switching for structure viewers.
`static Viewer`
CompareUI.`findStructureViewer(Viewer oldViewer, ICompareInput input, Composite parent, CompareConfiguration configuration)`
Returns a structure compare viewer based on an old viewer and an input object.
`protected abstract Viewer`
CompareViewerSwitchingPane.`getViewer(Viewer oldViewer, Object input)`
Returns a viewer which is able to display the given input.

## Uses of Viewer in org.eclipse.compare.contentmergeviewer

Subclasses of Viewer in org.eclipse.compare.contentmergeviewer
Modifier and Type
Class
Description
`class`
`ContentMergeViewer`
An abstract compare and merge viewer with two side-by-side content areas and an optional content area for the ancestor.
`class`
`TextMergeViewer`
A text merge viewer uses the `RangeDifferencer` to perform a textual, line-by-line comparison of two (or three) input documents.

## Uses of Viewer in org.eclipse.compare.structuremergeviewer

Subclasses of Viewer in org.eclipse.compare.structuremergeviewer
Modifier and Type
Class
Description
`class`
`DiffTreeViewer`
A tree viewer that works on objects implementing the `IDiffContainer` and `IDiffElement` interfaces.
`class`
`StructureDiffViewer`
A diff tree viewer that can be configured with a `IStructureCreator` to retrieve a hierarchical structure from the input object (an `ICompareInput`) and perform a two-way or three-way compare on it.

## Uses of Viewer in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui that return Viewer
Modifier and Type
Method
Description
`protected abstract Viewer`
AbstractDebugView.`createViewer(Composite parent)`
Creates and returns this view's underlying viewer.
`Viewer`
AbstractDebugView.`getViewer()`
`Viewer`
IDebugView.`getViewer()`
Returns the viewer contained in this debug view.
Methods in org.eclipse.debug.ui with parameters of type Viewer
Modifier and Type
Method
Description
`void`
EnvironmentTab.EnvironmentVariableContentProvider.`inputChanged(Viewer viewer, Object oldInput, Object newInput)`
`protected void`
AbstractDebugView.`setViewer(Viewer viewer)`
Sets the viewer for this view.

## Uses of Viewer in org.eclipse.jface.databinding.viewers

Methods in org.eclipse.jface.databinding.viewers that return Viewer
Modifier and Type
Method
Description
`Viewer`
IViewerObservable.`getViewer()`
Returns the underlying viewer for this observable.
Methods in org.eclipse.jface.databinding.viewers with parameters of type Viewer
Modifier and Type
Method
Description
`void`
ObservableListContentProvider.`inputChanged(Viewer viewer, Object oldInput, Object newInput)`
`void`
ObservableListTreeContentProvider.`inputChanged(Viewer viewer, Object oldInput, Object newInput)`
`void`
ObservableSetContentProvider.`inputChanged(Viewer viewer, Object oldInput, Object newInput)`
`void`
ObservableSetTreeContentProvider.`inputChanged(Viewer viewer, Object oldInput, Object newInput)`
`IViewerObservableList<E>`
IViewerListProperty.`observe(Viewer viewer)`
Returns an `IViewerObservableList` observing this list property on the given viewer
`IViewerObservableSet<E>`
IViewerSetProperty.`observe(Viewer viewer)`
Returns an `IViewerObservableSet` observing this set property on the given viewer
`IViewerObservableValue<T>`
IViewerValueProperty.`observe(Viewer viewer)`
Returns an `IViewerObservableValue` observing this value property on the given viewer
`IViewerObservableList<E>`
ViewerListProperty.`observe(Viewer viewer)`
`IViewerObservableSet<E>`
ViewerSetProperty.`observe(Viewer viewer)`
`IViewerObservableValue<T>`
ViewerValueProperty.`observe(Viewer viewer)`
`IViewerObservableValue<T>`
IViewerValueProperty.`observeDelayed(int delay, Viewer viewer)`
Returns an `IViewerObservableValue` observing this value property on the given viewer, which delays notification of value changes until at least `delay` milliseconds have elapsed since that last change event, or until a FocusOut event is received from the viewer's control (whichever happens first).
`IViewerObservableValue<T>`
ViewerValueProperty.`observeDelayed(int delay, Viewer viewer)`

## Uses of Viewer in org.eclipse.jface.preference

Methods in org.eclipse.jface.preference with parameters of type Viewer
Modifier and Type
Method
Description
`void`
PreferenceContentProvider.`inputChanged(Viewer viewer, Object oldInput, Object newInput)`

## Uses of Viewer in org.eclipse.jface.text

Subclasses of Viewer in org.eclipse.jface.text
Modifier and Type
Class
Description
`class`
`TextViewer`
SWT based implementation of `ITextViewer` and its extension interfaces.

## Uses of Viewer in org.eclipse.jface.text.source

Subclasses of Viewer in org.eclipse.jface.text.source
Modifier and Type
Class
Description
`class`
`SourceViewer`
SWT based implementation of `ISourceViewer` and its extension interfaces.

## Uses of Viewer in org.eclipse.jface.text.source.projection

Subclasses of Viewer in org.eclipse.jface.text.source.projection
Modifier and Type
Class
Description
`class`
`ProjectionViewer`
A projection source viewer is a source viewer which supports multiple visible regions which can dynamically be changed.

## Uses of Viewer in org.eclipse.jface.viewers

Subclasses of Viewer in org.eclipse.jface.viewers
Modifier and Type
Class
Description
`class`
`AbstractListViewer`
Abstract base class for viewers that contain lists of items (such as a combo or list).
`class`
`AbstractTableViewer`
This is a widget independent class implementors of `Table` like widgets can use to provide a viewer on top of their widget implementations.
`class`
`AbstractTreeViewer`
Abstract base implementation for tree-structure-oriented viewers (trees and table trees).
`class`
`CheckboxTableViewer`
A concrete viewer based on an SWT `Table` control with checkboxes on each node.
`class`
`CheckboxTreeViewer`
A concrete tree-structured viewer based on an SWT `Tree` control with checkboxes on each node.
`class`
`ColumnViewer`
The ColumnViewer is the abstract superclass of viewers that have columns (e.g., AbstractTreeViewer and AbstractTableViewer).
`class`
`ComboViewer`
A concrete viewer based either on an SWT `Combo` control or `CCombo` control.
`class`
`ContentViewer`
A content viewer is a model-based adapter on a widget which accesses its model by means of a content provider and a label provider.
`class`
`ListViewer`
A concrete viewer based on an SWT `List` control.
`class`
`StructuredViewer`
Abstract base implementation for structure-oriented viewers (trees, lists, tables).
`class`
`TableViewer`
A concrete viewer based on a SWT `Table` control.
`class`
`TreeViewer`
A concrete viewer based on an SWT `Tree` control.
Methods in org.eclipse.jface.viewers that return Viewer
Modifier and Type
Method
Description
`Viewer`
DoubleClickEvent.`getViewer()`
Returns the viewer that is the source of this event.
`Viewer`
OpenEvent.`getViewer()`
Returns the viewer that is the source of this event.
`protected Viewer`
ViewerDropAdapter.`getViewer()`
Methods in org.eclipse.jface.viewers with parameters of type Viewer
Modifier and Type
Method
Description
`int`
TreePathViewerSorter.`compare(Viewer viewer, TreePath parentPath, Object e1, Object e2)`
Compare the given elements that will have the given parent path when they are added to the viewer.
`int`
ViewerComparator.`compare(Viewer viewer, Object e1, Object e2)`
Returns a negative, zero, or positive number depending on whether the first element is less than, equal to, or greater than the second element.
`Object[]`
ViewerFilter.`filter(Viewer viewer, Object parent, Object[] elements)`
Filters the given elements for the given viewer.
`Object[]`
ViewerFilter.`filter(Viewer viewer, TreePath parentPath, Object[] elements)`
Filters the given elements for the given viewer.
`default void`
IContentProvider.`inputChanged(Viewer viewer, Object oldInput, Object newInput)`
Notifies this content provider that the given viewer's input has been switched to a different element.
`abstract boolean`
ViewerFilter.`select(Viewer viewer, Object parentElement, Object element)`
Returns whether the given element makes it through this filter.
`void`
TreePathViewerSorter.`sort(Viewer viewer, TreePath parentPath, Object[] elements)`
Sorts the given elements in-place, modifying the given array.
`void`
ViewerComparator.`sort(Viewer viewer, Object[] elements)`
Sorts the given elements in-place, modifying the given array.
Constructors in org.eclipse.jface.viewers with parameters of type Viewer
Modifier
Constructor
Description
``
`DoubleClickEvent(Viewer source, ISelection selection)`
Creates a new event for the given source and selection.
``
`OpenEvent(Viewer source, ISelection selection)`
Creates a new event for the given source and selection.
`protected`
`ViewerDropAdapter(Viewer viewer)`
Creates a new drop adapter for the given viewer.

## Uses of Viewer in org.eclipse.jface.viewers.deferred

Methods in org.eclipse.jface.viewers.deferred with parameters of type Viewer
Modifier and Type
Method
Description
`void`
DeferredContentProvider.`inputChanged(Viewer viewer, Object oldInput, Object newInput)`

## Uses of Viewer in org.eclipse.ltk.ui.refactoring.history

Methods in org.eclipse.ltk.ui.refactoring.history with parameters of type Viewer
Modifier and Type
Method
Description
`void`
RefactoringHistoryContentProvider.`inputChanged(Viewer viewer, Object predecessor, Object successor)`

## Uses of Viewer in org.eclipse.team.ui.mapping

Methods in org.eclipse.team.ui.mapping that return Viewer
Modifier and Type
Method
Description
`protected final Viewer`
SynchronizationContentProvider.`getViewer()`
Return the viewer to which the content provider is associated.
Methods in org.eclipse.team.ui.mapping with parameters of type Viewer
Modifier and Type
Method
Description
`void`
SynchronizationContentProvider.`inputChanged(Viewer viewer, Object oldInput, Object newInput)`

## Uses of Viewer in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize that return Viewer
Modifier and Type
Method
Description
`Viewer`
SaveableCompareEditorInput.`findContentViewer(Viewer oldViewer, ICompareInput input, Composite parent)`
`Viewer`
ISynchronizePage.`getViewer()`
Returns the viewer associated with this page or `null` if the page doesn't have a viewer.
Methods in org.eclipse.team.ui.synchronize with parameters of type Viewer
Modifier and Type
Method
Description
`Viewer`
SaveableCompareEditorInput.`findContentViewer(Viewer oldViewer, ICompareInput input, Composite parent)`

## Uses of Viewer in org.eclipse.ui

Methods in org.eclipse.ui with parameters of type Viewer
Modifier and Type
Method
Description
`Object[]`
ResourceWorkingSetFilter.`filter(Viewer viewer, Object parent, Object[] elements)`
Filters out elements that are neither a parent nor a child of a working set element.
`boolean`
ResourceWorkingSetFilter.`select(Viewer viewer, Object parentElement, Object element)`
Determines if an element should be filtered out.

## Uses of Viewer in org.eclipse.ui.console

Subclasses of Viewer in org.eclipse.ui.console
Modifier and Type
Class
Description
`class`
`TextConsoleViewer`
Default viewer used to display a `TextConsole`.

## Uses of Viewer in org.eclipse.ui.dialogs

Subclasses of Viewer in org.eclipse.ui.dialogs
Modifier and Type
Class
Description
`class`
`ContainerCheckedTreeViewer`
CheckboxTreeViewer with special behaviour of the checked / gray state on container (non-leaf) nodes: The grayed state is used to visualize the checked state of its children.
Methods in org.eclipse.ui.dialogs with parameters of type Viewer
Modifier and Type
Method
Description
`Object[]`
PatternFilter.`filter(Viewer viewer, Object parent, Object[] elements)`
`boolean`
PatternFilter.`isElementVisible(Viewer viewer, Object element)`
Answers whether the given element in the given viewer matches the filter pattern.
`protected boolean`
PatternFilter.`isLeafMatch(Viewer viewer, Object element)`
Check if the current (leaf) element is a match with the filter text.
`protected boolean`
PatternFilter.`isParentMatch(Viewer viewer, Object element)`
Check if the parent (category) is a match to the filter text.
`final boolean`
PatternFilter.`select(Viewer viewer, Object parentElement, Object element)`

## Uses of Viewer in org.eclipse.ui.model

Methods in org.eclipse.ui.model with parameters of type Viewer
Modifier and Type
Method
Description
`int`
ContributionComparator.`compare(Viewer viewer, Object e1, Object e2)`
`void`
BaseWorkbenchContentProvider.`inputChanged(Viewer viewer, Object oldInput, Object newInput)`
`void`
WorkbenchContentProvider.`inputChanged(Viewer viewer, Object oldInput, Object newInput)`

## Uses of Viewer in org.eclipse.ui.navigator

Subclasses of Viewer in org.eclipse.ui.navigator
Modifier and Type
Class
Description
`class`
`CommonViewer`
Provides the Tree Viewer for the Common Navigator.
Methods in org.eclipse.ui.navigator with parameters of type Viewer
Modifier and Type
Method
Description
`int`
CommonViewerSorter.`compare(Viewer viewer, TreePath parentPath, Object e1, Object e2)`

## Uses of Viewer in org.eclipse.ui.views.navigator

Methods in org.eclipse.ui.views.navigator that return Viewer
Modifier and Type
Method
Description
`protected Viewer`
ResourceNavigatorAction.`getViewer()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the resource viewer
Methods in org.eclipse.ui.views.navigator with parameters of type Viewer
Modifier and Type
Method
Description
`int`
ResourceComparator.`compare(Viewer viewer, Object o1, Object o2)`
`int`
ResourceSorter.`compare(Viewer viewer, Object o1, Object o2)`
Deprecated, for removal: This API element is subject to removal in a future version.
`boolean`
ResourcePatternFilter.`select(Viewer viewer, Object parentElement, Object element)`
Deprecated, for removal: This API element is subject to removal in a future version.